Bug 195767 - SiS VGA card needs DPMS help during suspend to RAM
SiS VGA card needs DPMS help during suspend to RAM
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-17 11:06 EDT by Sitsofe Wheeler
Modified: 2015-03-04 20:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 13:07:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/pm/ helper script (312 bytes, text/plain)
2006-06-17 11:15 EDT, Sitsofe Wheeler
no flags Details
Updated /etc/pm/hooks/20video (490 bytes, text/plain)
2006-06-17 11:18 EDT, Sitsofe Wheeler
no flags Details
Updated /etc/pm/hooks/functions (2.33 KB, text/plain)
2006-06-17 11:19 EDT, Sitsofe Wheeler
no flags Details

  None (edit)
Description Sitsofe Wheeler 2006-06-17 11:06:16 EDT
Description of problem:
The monitor is not turned off during a suspend to RAM.

Version-Release number of selected component (if applicable):
pm-utils-0.15-1

How reproducible:
Every time.

Steps to Reproduce:
(as root)
1. Edit /usr/sbin/pm-suspend so that it echos "standby" instead of "mem" into
/sys/power/state
2. modprobe -r acpi_cpufreq (see Bug #195367)
3. Run pm-suspend .
  
Actual results:
Mointor stays on and
Stopping taks: ===========|
and a flashing '_' cursor are visible.

Expected results:
Monitor to be put into power saving mode and powersaving to be left when a
resume takes place.

Additional info:
Ubuntu Dapper does
/usr/sbin/vbetool dpms suspend
for all graphics cards by default (I guess the thining goes that other than
super old cards there is no harm in turning the monitor off twice).

/sbin/lspci -vvv:
02:03.0 VGA compatible controller: Silicon Integrated Systems [SiS] 315PRO
PCI/AGP VGA Display Adapter (prog-if 00 [VGA])
        Subsystem: Silicon Integrated Systems [SiS] 315PRO PCI/AGP VGA Display
Adapter
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 39 (750ns min, 4000ns max)
        Interrupt: pin A routed to IRQ 5
        BIST result: 00
        Region 0: Memory at d0000000 (32-bit, prefetchable) [size=256M]
        Region 1: Memory at e5000000 (32-bit, non-prefetchable) [size=256K]
        Region 2: I/O ports at c400 [size=128]
        [virtual] Expansion ROM at e4020000 [disabled] [size=64K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
Comment 1 Sitsofe Wheeler 2006-06-17 11:15:22 EDT
Created attachment 131098 [details]
/etc/pm/ helper script
Comment 2 Sitsofe Wheeler 2006-06-17 11:18:22 EDT
Created attachment 131099 [details]
Updated /etc/pm/hooks/20video
Comment 3 Sitsofe Wheeler 2006-06-17 11:19:19 EDT
Created attachment 131100 [details]
Updated /etc/pm/hooks/functions
Comment 4 Till Maas 2007-08-30 11:12:39 EDT
FC5 is now end of life, so sadly this bug won't be fixed in this release. Is
this bug still present in FC6 or F7?
Comment 5 Sitsofe Wheeler 2007-08-30 13:07:07 EDT
Since filing this bug over a year ago the machine had its SiS graphics card
swapped away for an NVIDIA so I can't follow up on this.

Let's resolve this INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.